
class SearchHandler {
  handleRequest(searchText) {
    var fs = require("fs");
    var data = fs.readFileSync("./src/dummy_data/search_results.json", "utf8");
    var dataDict = JSON.parse(data);

    var response = dataDict["empty"];
    if (dataDict[searchText] !== undefined) {
      response = dataDict[searchText]
    } 

    return response;
  }
}

const searchHandler = new SearchHandler();

export const zappQaDsp = {
  name: "zapp-qa-dsp",
  manifest: {
    help: {
      search: {
        description: "This handler applies search queries",
        params: {
          q: "query to search"
        }
      }
    }
  },
  test: {
    testCommand:
      "http://localhost:8080/zapp-qa-dsp/fetchData?type=search&q=koko"
  },

  handler: dspBridge => async params => {

    var response = null;
    switch (params.type) {
      case "search":
        response = searchHandler.handleRequest(params.q);
        break;

      default:
        break;
    }
    
    return dspBridge.sendResponse(response);
  }
};
